Name:           pidgin-birthday-reminder
Version:        1.11
Release:        6%{?dist}
Summary:        Birthday Reminder plugin for Pidgin

License:        GPLv2+
URL:            https://github.com/kgraefe/pidgin-birthday-reminder
Source0:        https://github.com/kgraefe/pidgin-birthday-reminder/releases/download/v%{version}/pidgin-birthday-reminder-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  intltool
BuildRequires:  pidgin-devel
BuildRequires:  /usr/bin/appstream-util
Requires:       pidgin

%description
Pidgin Birthday Reminder reminds you of your buddies birthdays. Birthdays can
be set by hand or be automatically filled-in for ICQ, MSN and XMPP protocols.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
%make_install
rm -f $RPM_BUILD_ROOT%{_libdir}/pidgin/*.la

%find_lang %{name}


%check
appstream-util validate-relax --nonet $RPM_BUILD_ROOT%{_datadir}/appdata/pidgin-birthday-reminder.metainfo.xml


%files -f %{name}.lang
%license COPYING
%{_libdir}/pidgin/*.so
%{_datadir}/appdata/pidgin-birthday-reminder.metainfo.xml
%{_datadir}/pixmaps/pidgin/birthday_reminder/
# Pidgin package doesn't own sounds/pidgin/ dir
%dir %{_datadir}/sounds/pidgin/
%{_datadir}/sounds/pidgin/birthday_reminder/


%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Mar 20 2017 Kalev Lember <klember@redhat.com> - 1.11-1
- Update to 1.11

* Mon Feb 27 2017 Kalev Lember <klember@redhat.com> - 1.10-1
- Update to 1.10
- Ship AppStream metainfo file (#1294952)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 09 2011 Kalev Lember <kalevlember@gmail.com> - 1.7-3
- Rebuilt for libpng 1.5

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 11 2010 Kalev Lember <kalev@smartlink.ee> - 1.7-1
- Update to 1.7
- Removed ExcludeArch now that s390/s390x have pidgin

* Fri Jun 04 2010 Kalev Lember <kalev@smartlink.ee> - 1.5-2
- ExcludeArch s390 s390x where we don't have pidgin

* Sat Mar 20 2010 Kalev Lember <kalev@smartlink.ee> - 1.5-1
- Update to pidgin-birthday-reminder 1.5

* Thu Mar 18 2010 Kalev Lember <kalev@smartlink.ee> - 1.4-2
- Updated URL

* Tue Mar 09 2010 Kalev Lember <kalev@smartlink.ee> - 1.4-1
- Initial RPM release
